package com.ruoyi.ss.device.domain;

import com.ruoyi.common.valid.EnumValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 辉
 * 2024/3/7
 */
@Data
public class SmDeviceQuery extends SmDevice {

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("是否默认设备")
    private Boolean isDefault;

    @ApiModelProperty("租户名称")
    private String tenantName;

    @ApiModelProperty("设备id列表")
    private List<Long> deviceIds;

    @ApiModelProperty("型号列表")
    private List<Long> modelIds;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("所属房东名称")
    private String userName;

    @ApiModelProperty("是否已绑定用户")
    private Boolean isBind;

    @ApiModelProperty("店铺id列表")
    private List<Long> storeIds;

    @ApiModelProperty("分组字段")
    @EnumValid(
            clazz = SmDeviceQuery.class,
            method = "name",
            message = "非法的分组字段"
    )
    private String groupBy;

    @ApiModelProperty("设备编号列表")
    private List<String> deviceNos;
}
